## org.jCharts.types
Class IntType

    java.lang.Object
      org.jCharts.types.IntType

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  ChartType, PieLabelType, StockChartDataType

    public abstract class IntType

extends Object
implements Serializable

Provides a common base class for all types.

See Also:
  Serialized Form

Field Summary
`private int` `type`

Constructor Summary
`protected` `IntType(int typeCode)`

Method Summary
`int` `getInt()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### type

    private int type

Constructor Detail

### IntType

    protected IntType(int typeCode)

Parameters:
  `typeCode` -

Method Detail

### getInt

    public int getInt()

  Returns:
    int